Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core.metadata
Class TableMetaDataProviderFactory

    java.lang.Object
      org.springframework.jdbc.core.metadata.TableMetaDataProviderFactory

    public class TableMetaDataProviderFactory

extends java.lang.Object

Factory used to create a `TableMetaDataProvider` implementation based on the type of databse being used.

Since:
  2.5
Author:
  Thomas Risberg

Constructor Summary
`TableMetaDataProviderFactory()`

Method Summary
`static TableMetaDataProvider` | `createMetaDataProvider(javax.sql.DataSource dataSource, TableMetaDataContext context)` Create a TableMetaDataProvider based on the database metedata
`static TableMetaDataProvider` | `createMetaDataProvider(javax.sql.DataSource dataSource, TableMetaDataContext context, NativeJdbcExtractor nativeJdbcExtractor)` Create a TableMetaDataProvider based on the database metedata

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableMetaDataProviderFactory

    public TableMetaDataProviderFactory()

Method Detail

### createMetaDataProvider

    public static TableMetaDataProvider createMetaDataProvider(javax.sql.DataSource dataSource,
                                                               TableMetaDataContext context)

  Create a TableMetaDataProvider based on the database metedata

  Parameters:
    `dataSource` - used to retrieve metedata
    `context` - the class that holds configuration and metedata
  Returns:
    instance of the TableMetaDataProvider implementation to be used

### createMetaDataProvider

    public static TableMetaDataProvider createMetaDataProvider(javax.sql.DataSource dataSource,
                                                               TableMetaDataContext context,
                                                               NativeJdbcExtractor nativeJdbcExtractor)

  Create a TableMetaDataProvider based on the database metedata

  Parameters:
    `dataSource` - used to retrieve metedata
    `context` - the class that holds configuration and metedata
    `nativeJdbcExtractor` - the NativeJdbcExtractor to be used
  Returns:
    instance of the TableMetaDataProvider implementation to be used

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD